Subject: Saudering plated silver

From: [email-masked] (Dan Musca)
Date: Wed, 23 Mar 1994 12:00:47 GMT

Hi,

I'm not too sure my post made it the last time so here goes again:

Does anyone know how to sauder/glue a silver-plated piece of metal. I have
an 'antique' serviette ring which came apart at the joint and would like
to try and fix it myself. A jeweller would charge $75 for the repair.

Any advise is appreciated.

Dan.
--